Skip to main content
GET
/
commerce
/
reservation
/
summary
Error
A valid request URL is required to generate request examples
{
  "allocatedDemand": 123,
  "byAllocationStatus": [
    {
      "allocationStatus": "<string>",
      "itemCount": 123,
      "totalDemand": 123
    }
  ],
  "byCustomer": [
    {
      "customerAccountId": 123,
      "reservationCount": 123,
      "totalDemand": 123
    }
  ],
  "byReservationStatus": [
    {
      "reservationCount": 123,
      "reservationStatus": "<string>",
      "totalDemand": 123
    }
  ],
  "totalDemand": 123,
  "unallocatedDemand": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

startIndex
integer<int32>
pageSize
integer<int32>
sortBy
string
filter
string
q
string
qLimit
integer<int32>
responseFields
string

limits which fields are returned in the response body

Response

Success

allocatedDemand
integer<int64>
byAllocationStatus
object[] | null
byCustomer
object[] | null
byReservationStatus
object[] | null
totalDemand
integer<int64>
unallocatedDemand
integer<int64>